This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 697684 - Group and Resource Activity portlet measurement links not properly iframed
Group and Resource Activity portlet measurement links not properly iframed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On: 698673
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-18 18:07 EDT by Simeon Pinder
Modified: 2011-05-23 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2011-04-18 18:07:18 EDT
Description of problem:
As the portal war graphing elements have not been converted to gwt, the Group/Resource Activity measurements portlet that link out to the single chart view for each measurement element now links into the old JSF/portal in a disjoint manner.  In other words, clicking on the link pulls the user into the old JSF portal war application complete with portal war menu.  This needs to be addressed so the integration is less visible.   

Version-Release number of selected component (if applicable):

How reproducible:
N/A

Steps to Reproduce:
1. Load Activity tab with metric data and click on one of the links.
2.
  
Actual results:
User loads portal.war JSF single graph view

Expected results:
Three options:
i)Fully iframe the single metric graphing pages, updating measurement portlet and Monitoring/graphs tab with the new behavior.
ii)Spend time creating a modal iframe integration that seamlessly embeds the existing JSF app.
iii)Modify the Resource/Group portlet measurement links to a)link to the Monitor>Graphs tab ii)modify the portlet to only display links that are included in the default Monitor>Graphs page for consistent linking/display.

Additional info:
Comment 1 Simeon Pinder 2011-04-18 18:10:19 EDT
Conferred with both ips and ccrouch. Starting with option ii) to determine how difficult it would be to make that approach work and possibly re-enable single metric graphing in coregui.
Comment 2 Charles Crouch 2011-04-18 20:24:21 EDT
Will the top nav etc of the JSF app be removed with option ii)?
Comment 3 Charles Crouch 2011-04-25 11:19:52 EDT
(10:02:21 AM) ccrouch: spinder: is this the bug you are working on?
(10:02:22 AM) ccrouch: https://bugzilla.redhat.com/show_bug.cgi?id=697684
(10:02:33 AM) ccrouch: it seems to have morphed somewhat?
(10:03:01 AM) spinder: ccrouch: yes. and it has. 
(10:05:11 AM) spinder: it's basically fix the more obvious places with the monitor integration that we still pull users into portal war.
Comment 4 Simeon Pinder 2011-04-25 11:23:56 EDT
Yes the top nav has been removed with option ii).  Currently with the SMMR case
there are several resources being displayed(Plat 1, Plat 2,etc.) complete with
links back to the relevant resources which a)are color coded to uniquely
identify the metric data from other graphed elements on same screen, and b)each
link points back to portal war versions of each platform.  

So we need to display the resource identifiers and coloring and I'm attempting
to update the links in portal war(we do this elsewhere) to point back to
coregui, but if unable will disable the actual linking action.
Comment 5 Simeon Pinder 2011-04-27 08:36:23 EDT
Rather involved fix. Bulk of work specific to this bug was made in commit f91a..., but there were several other places where it was very easy to be pulled back into portal.war that have been fixed.

relevant commit hashes:
f91a12454a8
16eea2da6c4
18f9722ccdd
8e53d0bf2d7

Not all portal.war links have been cleaned up/protected as full conversion to iframe spans both Monitoring and Content to name a few.  Will followup with a BZ to outline some of the remaining cases that need work, but the ones addressed here were the most obvious.

Also in this fix:
- Group Compare metric functionality was enabled in the gwt ui
- Chart single/multiple metric functionality was enabled in the gwt ui
- JSF integration for graphing/monitoring is now bundled into modal gwt windows where portal.war references/navigation items have been commented out. Most notable exception to this it the Resource/Group>Monitor>Graphs page that is not modal.
- Group>Monitor>Tables view was converted from iFrame to GWT.

Moving this to ON_QA as core issue has been addressed and remaining iframe work is not considered release blockers.
Comment 6 Simeon Pinder 2011-04-27 10:18:52 EDT
Some test steps to exercise the new functionality:
* With Resource testing should be able to use the root platform
* With Group testing should be able to create a compatible group of platforms with two entries to try this out.

- Group/Resource Metrics portlet: click on metric links and confirm that modal of JSF graphing are displayed/working correctly for several of the elements.
- Group/Resource Oobs portlet: click on metric links and confirm that modal of JSF graphing are displayed/working correctly for several of the elements.
- Resource>Monitoring>Tables has a new "Chart Selected Metrics" button that should be exercised a little.
- Group>Monitoring>Tables is a page of all new widgets that should be exercised.
  i)Numeric Metrics: Check links work and eyeball all other values. ? correct # of reporting members? 
  ii)Group Member Health: Check links work and eyeball all other values. 
 
*Within modal windows it's important to:
    i)verify that there are no links to portal.war still available
    ii)verify that redraw still works as expected(disable/re-enable of options)
    iii)verify that  

This should give a good level of coverage.
Comment 7 Mike Foley 2011-04-27 10:45:05 EDT
Added BZ 700129 while verifying.  Application reload when clicking on links in Monitoring-->Graphs
Comment 8 Mike Foley 2011-04-27 11:18:10 EDT
Added BZ 700174 while verifying.  Some checkboxes on modal graph pages cannot be checked.
Comment 9 Mike Foley 2011-04-27 11:25:35 EDT
Verified as follows:
Group metrics portlet = OK
Modal windows have no links to portal.war = OK
Modal windows for metrics have some checkboxes that can't be checked = BZ 700144
Group Monitoring Tables = OK
Page reload on links in Groups/Monitoring/Graphs, FF only = BZ 700129
Within modal windows, redraw, enable/disable of options = OK (sans BZ 700144)
Comment 10 Corey Welton 2011-05-23 21:15:37 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 11 Corey Welton 2011-05-23 21:15:38 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 12 Corey Welton 2011-05-23 21:15:41 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 13 Corey Welton 2011-05-23 21:15:45 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.